FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202110121348.p0.git.6deeefa.assembly.stream BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202110121348.p0.git.6deeefa.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=6deeefa OS_GIT_VERSION=4.6.0-202110121348.p0.git.6deeefa.assembly.stream-6deeefa SOURCE_DATE_EPOCH=1600856417 SOURCE_GIT_COMMIT=6deeefa7d0ef32abd3ff7df04642cb7b29fc7ffa SOURCE_GIT_TAG=v0.0.2-101-g6deeefa SOURCE_GIT_URL=https://github.com/openshift/kubernetes-kube-storage-version-migrator 
WORKDIR /go/src/github.com/kubernetes-sigs/kube-storage-version-migrator
COPY . .
RUN make build

FROM openshift/ose-base:v4.6.0.20211012.140755
ENV __doozer=update BUILD_RELEASE=202110121348.p0.git.6deeefa.assembly.stream BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202110121348.p0.git.6deeefa.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=6deeefa OS_GIT_VERSION=4.6.0-202110121348.p0.git.6deeefa.assembly.stream-6deeefa SOURCE_DATE_EPOCH=1600856417 SOURCE_GIT_COMMIT=6deeefa7d0ef32abd3ff7df04642cb7b29fc7ffa SOURCE_GIT_TAG=v0.0.2-101-g6deeefa SOURCE_GIT_URL=https://github.com/openshift/kubernetes-kube-storage-version-migrator 
COPY --from=builder /go/src/github.com/kubernetes-sigs/kube-storage-version-migrator/migrator /usr/bin/

LABEL \
        name="openshift/ose-kube-storage-version-migrator" \
        com.redhat.component="ose-kube-storage-version-migrator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="kube-storage-version-migrator" \
        release="202110121348.p0.git.6deeefa.assembly.stream" \
        io.openshift.build.commit.id="6deeefa7d0ef32abd3ff7df04642cb7b29fc7ffa" \
        io.openshift.build.source-location="https://github.com/openshift/kubernetes-kube-storage-version-migrator" \
        io.openshift.build.commit.url="https://github.com/openshift/kubernetes-kube-storage-version-migrator/commit/6deeefa7d0ef32abd3ff7df04642cb7b29fc7ffa" \
        version="v4.6.0"

